Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`logger`.`LogPublisher``

class documentation

`class LogPublisher: (source)`

Constructor: `LogPublisher(*observers)`

Implements interfaces: `twisted.logger.ILogObserver`

View In Hierarchy

ILogObserver that fans out events to other observers.

Keeps track of a set of `ILogObserver` objects and forwards events to each.

Method | `__call__` | Forward events to contained observers.
Method | `__init__` | Undocumented
Method | `addObserver` | Registers an observer with this publisher.
Method | `removeObserver` | Unregisters an observer with this publisher.
Instance Variable | `log` | Undocumented
Method | `_errorLoggerForObserver` | Create an error-logger based on this logger, which does not contain the given bad observer.
Instance Variable | `_observers` | Undocumented

def __call__(self, event: `LogEvent`): (source)
from `twisted.logger.ILogObserver`

Forward events to contained observers.

def __init__(self, *observers: `ILogObserver`): (source)

Undocumented

def addObserver(self, observer: `ILogObserver`): (source)

Registers an observer with this publisher.

Parameters
observer:`ILogObserver` | An `ILogObserver` to add.

def removeObserver(self, observer: `ILogObserver`): (source)

Unregisters an observer with this publisher.

Parameters
observer:`ILogObserver` | An `ILogObserver` to remove.

log = (source)

Undocumented

def _errorLoggerForObserver(self, observer: `ILogObserver`) -> `Logger`: (source)

Create an error-logger based on this logger, which does not contain the given bad observer.

Parameters
observer:`ILogObserver` | The observer which previously had an error.
Returns
`Logger` | A `Logger` without the given observer.

_observers = (source)

Undocumented